Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Entity_Manager.h File Reference

`#include "ACEXML/parser/parser/Parser_export.h"`
`#include "ACEXML/common/XML_Types.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Null_Mutex.h"`

Include dependency graph for Entity_Manager.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACEXML_Entity_Manager
| Class to manage and resolve entity references. More...
## Typedefs
typedef ACE_Hash_Map_Entry< ACEXML_String, ACEXML_String > | ACEXML_ENTITY_ENTRY
typedef ACE_Hash_Map_Manager_Ex< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ENTITIES_MANAGER
typedef ACE_Hash_Map_Iterator_Ex< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ENTITIES_MANAGER_ITER
typedef ACE_Hash_Map_Reverse_Iterator_Ex< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ENTITIES_MANAGER_REVERSE_ITER
typedef ACE_Hash_Map_Bucket_Iterator< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_ENTITY_ENTRY_ITERATOR

## Detailed Description

Id:
  Entity_Manager.h,v 1.10 2004/01/09 00:50:35 kitty Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu> , Krishnakumar B <kitty@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ENTITIES_MANAGER

typedef ACE_Hash_Map_Iterator_Ex<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ENTITIES_MANAGER_ITER

typedef ACE_Hash_Map_Reverse_Iterator_Ex<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ENTITIES_MANAGER_REVERSE_ITER

typedef ACE_Hash_Map_Entry<ACEXML_String, ACEXML_String> ACEXML_ENTITY_ENTRY

typedef ACE_Hash_Map_Bucket_Iterator<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_ENTITY_ENTRY_ITERATOR